New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Install issue on OS X 10.9 / Mavricks #608

Closed
Jeff0S opened this Issue Jul 8, 2014 · 3 comments

Comments

Projects
None yet
1 participant
@Jeff0S
Member

Jeff0S commented Jul 8, 2014

From jeffos...@gmail.com on November 06, 2013 11:47:31

Although I can't test this myself yet, it seems there is an issue to install the extension on OS X 10.9 / Mavricks: http://forum.cockos.com/showpost.php?p=1264793&postcount=8 The install script was made to ease installation on OSX but also to deploy some files required for [url= https://code.google.com/p/sws-extension/wiki/Functions_export_to_ReaScript]function export to ReaScript[/url]. In other words, function export to ReaScript is broken on Mavricks too...

Original issue: http://code.google.com/p/sws-extension/issues/detail?id=608

@Jeff0S

This comment has been minimized.

Show comment
Hide comment
@Jeff0S

Jeff0S Jul 8, 2014

Member

From jeffos...@gmail.com on January 15, 2014 02:54:54

I first thought I'd use the new OSX REAPER v4.59's scan feature (now it also scan "/Library/Application Support/REAPER/UserPlugins" on startup) to offer a nice drag-drop capability but since it gives the priority to ~/Library/etc over /Library/etc (and this is expected, of course!) this would lead to some serious hassle for people upgrading...
So, I will simply update things so that Python wrappers are visible + add some info in the background image proposing the user to drop the dylib in ~/Library/Application Support/REAPER/UserPlugins and to drop py wrappers in ~/Library/Application Support/REAPER/Scripts
(i.e. the DMG will be less handy than what we have today but will work on 10.9+)

Status: Started

Member

Jeff0S commented Jul 8, 2014

From jeffos...@gmail.com on January 15, 2014 02:54:54

I first thought I'd use the new OSX REAPER v4.59's scan feature (now it also scan "/Library/Application Support/REAPER/UserPlugins" on startup) to offer a nice drag-drop capability but since it gives the priority to ~/Library/etc over /Library/etc (and this is expected, of course!) this would lead to some serious hassle for people upgrading...
So, I will simply update things so that Python wrappers are visible + add some info in the background image proposing the user to drop the dylib in ~/Library/Application Support/REAPER/UserPlugins and to drop py wrappers in ~/Library/Application Support/REAPER/Scripts
(i.e. the DMG will be less handy than what we have today but will work on 10.9+)

Status: Started

@Jeff0S

This comment has been minimized.

Show comment
Hide comment
@Jeff0S

Jeff0S Jul 8, 2014

Member

From jeffos...@gmail.com on January 25, 2014 09:29:05

nice procrastination on this one ;) r1190 will help the user for the time being...

Status: Fixed
Owner: jeffos...@gmail.com

Member

Jeff0S commented Jul 8, 2014

From jeffos...@gmail.com on January 25, 2014 09:29:05

nice procrastination on this one ;) r1190 will help the user for the time being...

Status: Fixed
Owner: jeffos...@gmail.com

@Jeff0S

This comment has been minimized.

Show comment
Hide comment
@Jeff0S

Jeff0S Jul 8, 2014

Member

From jeffos...@gmail.com on January 28, 2014 02:26:26

I forgot... Just did the slight mod ( r1190 ) after I've found/tested http://support.apple.com/kb/PH14369?viewlocale=en_US&locale=en_US

Member

Jeff0S commented Jul 8, 2014

From jeffos...@gmail.com on January 28, 2014 02:26:26

I forgot... Just did the slight mod ( r1190 ) after I've found/tested http://support.apple.com/kb/PH14369?viewlocale=en_US&locale=en_US

@Jeff0S Jeff0S closed this Jul 8, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment